from setuptools import setup, find_packages
import os
import runpy
here = os.path.abspath(os.path.dirname(__file__))

VERSION = runpy.run_path(
        os.path.join(here, "performance", "version.py")
    )["VERSION"]


with open(os.path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='heimdall-android',
    version=VERSION,
    packages=['performance'],
    url='https://github.com',
    author='HBQA',
    long_description=long_description,
    long_description_content_type="text/markdown",
    include_package_data=True,
    zip_safe=False,
    classifiers=(
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "License :: OSI Approved :: MIT License",
        "Operating System :: MacOS",
    ),
    entry_points={
        'console_scripts': [
            'heimdall3 = performance.heimdall:main'
        ]
    },
    install_requires=[
    ])